Bug 474664 - [LTC 5.4 FEAT] System z support for processor degradation [200975]
[LTC 5.4 FEAT] System z support for processor degradation [200975]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
s390x All
high Severity high
: alpha
: 5.4
Assigned To: Hans-Joachim Picht
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 RHEL5u4_relnotes 483701 483784 485920
  Show dependency treegraph
 
Reported: 2008-12-04 14:40 EST by IBM Bug Proxy
Modified: 2009-09-02 04:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Red Hat Enterprise Linux 5.4 adds support for processor degradation, which allows processor speed to be reduced in some circumstances (i.e. system overheating). This new feature allows automation software to observe the machine state and act based on defined policies. Processor degradation is supported on z990, z890 and later systems and is observed through SCLP system service event type 4 event qualifier 3. STSI will report the new capacity of the processor in the file: <filename>/sys/devices/system/cpu/cpuN/capability</filename>.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
linux-2.6.18-s390-cpu-degradation.patch (7.70 KB, text/plain)
2009-01-23 05:43 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50302 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-04 14:40:38 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[200975]
a. Name of Feature:	System z support for processor degradation
b. Feature Description
z990, z890 and later systems may reduce processor speed in case of cooling problems. This is
observed thru SCLP event type 4 event qualifier 3 (processor capacity change). Further, STSI will
report the new capacity. This feature triggers an uevent and issues issue a warning to Syslog. This
enables automation software to observe the machine state and act based on policies, as applicable.

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.22

3. Business Case
RAS Item  to increase system availability.
 Prereq for automation software to take self-healing actions.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 John Jarvis 2008-12-22 17:53:21 EST
IBM is signed up to test and provide feedback.
Comment 2 IBM Bug Proxy 2009-01-23 05:43:54 EST
Created attachment 329805 [details]
linux-2.6.18-s390-cpu-degradation.patch
Comment 3 Hans-Joachim Picht 2009-02-12 12:20:44 EST
The patch has been posted to rhkernel on Feb 12. by Hans-Joachim Picht
<hpicht@redhat.com>
Comment 4 RHEL Product and Program Management 2009-02-16 10:17:46 EST
Updating PM score.
Comment 5 IBM Bug Proxy 2009-02-18 09:51:56 EST
Please, do not forget to update documentation and/or release notes:

Provides support for processor degradation in case of, for example, cooling problems.
This is supported on z990, z890 and later systems and is observed through SCLP event type ???4??? event qualifier ???3???
Further, STSI will report the new capacity, which can be read via /sys/devices/system/cpu/cpuN/capability.
This enables automation software to observe the machine state and act based on policies, as applicable.

Thank you!
Comment 6 John Jarvis 2009-03-02 16:45:49 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 7 IBM Bug Proxy 2009-04-27 12:51:48 EDT
------- Comment From mgrf@de.ibm.com 2009-04-27 12:40 EDT-------
Hello Red Hat, Hi John,
What is the status regarding RHEL 5.4 acceptance for this feature?
Comment 8 John Jarvis 2009-04-27 14:36:07 EDT
As I noted in my March 2 comment, this feature is approved for RHEL 5.4.
Comment 9 John Jarvis 2009-05-14 17:03:23 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Provides support for processor degradation in case of, for example, cooling problems.
This is supported on z990, z890 and later systems and is observed through SCLP event type 4 event qualifier 3.  Further, STSI will report the new capacity, which can be read via
/sys/devices/system/cpu/cpuN/capability.
This enables automation software to observe the machine state and act based on policies, as applicable.
Comment 12 Chris Ward 2009-06-14 19:17:05 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 13 Chris Ward 2009-07-03 14:15:15 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 14 Shawn Wells 2009-07-08 15:51:32 EDT
Adjusted formatting of release notes
Comment 15 Shawn Wells 2009-07-08 15:51:32 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,4 @@
-Provides support for processor degradation in case of, for example, cooling problems.
-This is supported on z990, z890 and later systems and is observed through SCLP event type 4 event qualifier 3.  Further, STSI will report the new capacity, which can be read via
+Provides support for processor degradation in case of, for example, cooling problems. This is supported on z990, z890 and later systems and is observed through SCLP event type 4 event  qualifier 3.  Further, STSI will report the new capacity, which can be read via
 /sys/devices/system/cpu/cpuN/capability.
-This enables automation software to observe the machine state and act based on policies, as applicable.+
+This enables automation software to observe the machine state and act based on policies, as  applicable.
Comment 16 Chris Ward 2009-07-10 15:07:14 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 17 IBM Bug Proxy 2009-07-14 05:01:31 EDT
------- Comment From mgrf@de.ibm.com 2009-07-14 04:59 EDT-------
This feature is verified OK on RHEL 5.4 beta.
Closing feature request.
Thanks
Comment 18 Ryan Lerch 2009-07-28 03:46:24 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,4 +1,3 @@
-Provides support for processor degradation in case of, for example, cooling problems. This is supported on z990, z890 and later systems and is observed through SCLP event type 4 event  qualifier 3.  Further, STSI will report the new capacity, which can be read via
-/sys/devices/system/cpu/cpuN/capability.
+Red Hat Enterprise Linux 5.4 adds support for processor degradation, which allows processor speed to be reduced in some circumstances (i.e. system overheating). This new feature allows automation software to observe the machine state and act based on defined policies.
 
-This enables automation software to observe the machine state and act based on policies, as  applicable.+Processor degradation is supported on z990, z890 and later systems and is observed through SCLP system service event type 4 event qualifier 3. STSI will report the new capacity of the processor in the file: <filename>/sys/devices/system/cpu/cpuN/capability</filename>.
Comment 20 errata-xmlrpc 2009-09-02 04:22:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.